Metafunction
EdgeIdHandler
Type of an object that represents an Id Manager.
EdgeIdHandler<T>::Type
Include Headers
seqan/graph_types.h
Parameters

T | A graph. Types: EdgeStump, Graph, Graph

Remarks
The exact IdManager type depends on the edge stump. If the edge stump is id-free the IdManager simply counts edge ids, otherwise it manages a list of free and used ids.
Return Values

Type | IdManager type.

SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:50